libpoe-component-irc-perl (6.87+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- gregor herrmann <gregoa@debian.org>  Sun, 22 Jun 2014 01:15:03 +0200

libpoe-component-irc-perl (6.86+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- gregor herrmann <gregoa@debian.org>  Sat, 21 Jun 2014 15:53:24 +0200

libpoe-component-irc-perl (6.85+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Strip trailing slash from metacpan URLs.
  * Update years of upstream and packaging copyright.
  * Declare compliance with Debian Policy 3.9.5.

 -- gregor herrmann <gregoa@debian.org>  Thu, 19 Jun 2014 18:34:48 +0200

libpoe-component-irc-perl (6.83+dfsg-1) unstable; urgency=low

  [ gregor herrmann ]
  * debian/control: update {versioned,alternative} (build) dependencies.

  [ Salvatore Bonaccorso ]
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)

  [ gregor herrmann ]
  * Update debian/repack.stub.
  * New upstream release.
    Fixes "FTBFS with perl 5.18: test failures"
    (Closes: #710982)
  * debian/copyright: switch formatting to Copyright-Format 1.0.
  * Update years of copyright.
  * Add liblist-moreutils-perl (build) dependency.
  * Set Standards-Version to 3.9.4 (no further changes).

 -- gregor herrmann <gregoa@debian.org>  Wed, 05 Jun 2013 00:01:08 +0200

libpoe-component-irc-perl (6.78+dfsg-1) unstable; urgency=low

  * Team upload.
  * Imported Upstream version 6.78 (repackaged)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 10 Dec 2011 10:12:22 +0100

libpoe-component-irc-perl (6.77+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Add build dependency on libtest-differences-perl.

 -- gregor herrmann <gregoa@debian.org>  Fri, 02 Dec 2011 22:37:00 +0100

libpoe-component-irc-perl (6.75+dfsg-1) unstable; urgency=low

  * New upstream release.

 -- gregor herrmann <gregoa@debian.org>  Sun, 20 Nov 2011 16:32:18 +0100

libpoe-component-irc-perl (6.74+dfsg-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright: remove information about removed third-party file.

 -- gregor herrmann <gregoa@debian.org>  Sun, 16 Oct 2011 15:02:45 +0200

libpoe-component-irc-perl (6.73+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Add new third-party copyright holder.
  * Remove patches, both applied upstream.

 -- gregor herrmann <gregoa@debian.org>  Sat, 08 Oct 2011 16:27:31 +0200

libpoe-component-irc-perl (6.71+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Refresh spelling patch (offset) and mark both patches as forwarded.

 -- gregor herrmann <gregoa@debian.org>  Fri, 23 Sep 2011 18:05:31 +0200

libpoe-component-irc-perl (6.70+dfsg-1) unstable; urgency=low

  [ gregor herrmann ]
  * Set Standards-Version to 3.9.2 (no changes).
  * Bump (build) dependency on libpoe-perl.
  * Refresh fix-pod-spelling.patch (offset).
  * Add new (build) dependency: libirc-utils-perl.

  [ Ansgar Burchardt ]
  * debian/control: Convert Vcs-* fields to Git.

  [ Salvatore Bonaccorso ]
  * debian/copyright: Replace DEP5 Format-Specification URL from
    svn.debian.org to anonscm.debian.org URL.

  [ Jotam Jr. Trejo ]
  * New upstream release
  * debian/control: add new dependency (libpoe-component-syndicator-perl)
  * debian/control: remove libobject-pluggable-perl from dependencies
  * Add myself to Uploaders and Copyright
  * Update home page in debian/control and debian/changelog

 -- Jotam Jr. Trejo <jotamjr@debian.org.sv>  Sun, 04 Sep 2011 18:12:14 -0600

libpoe-component-irc-perl (6.54+dfsg-1) unstable; urgency=low

  [ Jonathan Yu ]
  * New upstream release
  * Bump to debhelper compat 8

  [ gregor herrmann ]
  * Update years of copyright.
  * Refresh fix-pod-spelling.patch (offset).

 -- Jonathan Yu <jawnsy@cpan.org>  Fri, 11 Mar 2011 20:49:13 -0500

libpoe-component-irc-perl (6.52+dfsg-2) unstable; urgency=low

  * Add (build) dependency on libsocket-getaddrinfo-perl (closes: #615498).

 -- gregor herrmann <gregoa@debian.org>  Sun, 27 Feb 2011 15:54:03 +0100

libpoe-component-irc-perl (6.52+dfsg-1) unstable; urgency=low

  * New upstream release.
  * debian/control: libpoe-component-pluggable-perl was renamed to
    libobject-pluggable-perl.
  * debian/copyright: Refer to "Debian systems" instead of "Debian GNU/Linux
    systems".
  * Add myself to Uploaders.

 -- Ansgar Burchardt <ansgar@debian.org>  Sat, 06 Nov 2010 13:42:44 +0100

libpoe-component-irc-perl (6.37+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Remove build dependency on libtest-pod-perl (test was removed).
  * Refresh fix-pod-spelling.patch.
  * debian/copyright: point to /usr/share/common-licenses/GPL-1.
  * Set Standards-Version to 3.9.1 (no changes).

 -- gregor herrmann <gregoa@debian.org>  Sun, 22 Aug 2010 20:35:49 +0200

libpoe-component-irc-perl (6.35+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Set Standards-Version to 3.9.0 (no changes).
  * Bump (build) dependency on libpoe-component-pluggable-perl to >= 1.26.

 -- gregor herrmann <gregoa@debian.org>  Mon, 28 Jun 2010 18:53:16 +0200

libpoe-component-irc-perl (6.33+dfsg-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright: update years of upstream copyright, remove stanza about
    removed Module::Install.
  * Refresh debian/patches/fix-pod-spelling.patch. Refresh patch headers
    (DEP3).

 -- gregor herrmann <gregoa@debian.org>  Wed, 23 Jun 2010 19:06:43 +0200

libpoe-component-irc-perl (6.32+dfsg-1) unstable; urgency=high

  * New upstream release: doesn't allow arbitrary IRC command 
    execution anymore:
    - IRC.pm: Split long messages on \r as well as \n. Plugs a security hole.
    - IRC.pm: Filter out \r in arguments to non-PRIVMSG commands too
    Closes: #581194
  * Set urgency to high.

 -- gregor herrmann <gregoa@debian.org>  Tue, 11 May 2010 22:10:30 +0200

libpoe-component-irc-perl (6.28+dfsg-1) unstable; urgency=low

  * New upstream release
  * Use new 3.0 (quilt) source format
  * Now depends on POE 1.287

 -- Jonathan Yu <jawnsy@cpan.org>  Sun, 14 Mar 2010 12:46:21 -0400

libpoe-component-irc-perl (6.24+dfsg-1) unstable; urgency=low

  * New upstream release
  * Standards-Version 3.8.4 (no changes)

 -- Jonathan Yu <jawnsy@cpan.org>  Sat, 13 Feb 2010 19:12:52 -0500

libpoe-component-irc-perl (6.22+dfsg-1) unstable; urgency=low

  * New upstream release:
    - "Depend on POE 1.284 so we won't get FAIL test reports from CPAN testers
      because of the FollowTail plugin." (closes: #564412)
    - bump (build) dependency in debian/control accordingly
  * Update years of packaging copyright.
  * Remove old fix-pod-spelling.patch, applied upstream.
  * Add new fix-pod-spelling.patch to fix new spelling mistakes.

 -- gregor herrmann <gregoa@debian.org>  Sun, 24 Jan 2010 20:02:30 +0100

libpoe-component-irc-perl (6.18+dfsg-1) unstable; urgency=low

  * New upstream release
  * Change short description
  * Refresh copyright information
  * Add patch to fix POD spelling
  * Drop unnecessary version dependencies

 -- Jonathan Yu <jawnsy@cpan.org>  Fri, 01 Jan 2010 15:22:43 -0500

libpoe-component-irc-perl (6.16+dfsg-1) unstable; urgency=low

  [ Jonathan Yu ]
  * New upstream release
  * Needs new POE (1.2690) or it won't build

  [ Ryan Niebur ]
  * Update jawnsy's email address
  * Update ryan52's email address

 -- Jonathan Yu <jawnsy@cpan.org>  Mon, 12 Oct 2009 08:13:50 -0400

libpoe-component-irc-perl (6.10+dfsg-1) unstable; urgency=low

  [ Jonathan Yu ]
  * New upstream release
    + State and subclasses will use NAMES replies to synchronise
      channel state (should help RT#46825)
    + AutoJoin.pm: Fixed rejoining password-protected channels that
      were not passed to the plugin constructor
    + Add netsplit detection and handling of state on netjoin
  * Standards-Version 3.8.3 (no changes)
  * Added myself to Uploaders and Copyright
  * Rearranged dependencies
  * Rewrote control description

  [ gregor herrmann ]
  * debian/copyright: add additional copyright holder.

 -- Jonathan Yu <frequency@cpan.org>  Fri, 21 Aug 2009 17:02:18 -0400

libpoe-component-irc-perl (6.08+dfsg-2) unstable; urgency=low

  [ Nathan Handler ]
  * debian/watch: Update to ignore development releases.

  [ gregor herrmann ]
  * debian/rules: remove override_dh_auto_clean and let debhelper do "the right
    thing" (closes: #534036).
  * Set Standards-Version to 3.8.2 (no changes).

 -- gregor herrmann <gregoa@debian.org>  Thu, 25 Jun 2009 22:46:09 +0200

libpoe-component-irc-perl (6.08+dfsg-1) unstable; urgency=low

  [ Ryan Niebur ]
  * New upstream release
  * convert to smaller debian/rules file

  [ gregor herrmann ]
  * debian/rules: remove override_dh_installchangelogs, no need to keep
    a "Changes" symlink for the upstream changelog.

 -- Ryan Niebur <ryanryan52@gmail.com>  Fri, 29 May 2009 18:14:49 -0700

libpoe-component-irc-perl (6.06+dfsg-1) unstable; urgency=low

  [ Ryan Niebur ]
  * New upstream release

  [ gregor herrmann ]
  * Bump (build) dependency on libpoe-component-pluggable-perl to >= 1.12.
  * Set Standards-Version to 3.8.1 (no changes).

 -- Ryan Niebur <ryanryan52@gmail.com>  Thu, 30 Apr 2009 18:41:36 -0700

libpoe-component-irc-perl (6.04+dfsg-1) unstable; urgency=low

  * New upstream release

 -- Ryan Niebur <ryanryan52@gmail.com>  Sun, 08 Mar 2009 15:44:04 -0700

libpoe-component-irc-perl (6.02+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Add /me to Uploaders.

 -- gregor herrmann <gregoa@debian.org>  Fri, 06 Mar 2009 20:29:25 +0100

libpoe-component-irc-perl (6.00+dfsg-1) unstable; urgency=low

  * New upstream release

 -- Ryan Niebur <ryanryan52@gmail.com>  Thu, 05 Mar 2009 07:47:52 -0800

libpoe-component-irc-perl (5.98+dfsg-1) unstable; urgency=low

  * New upstream release
  * update debian/copyright

 -- Ryan Niebur <ryanryan52@gmail.com>  Tue, 03 Mar 2009 17:23:07 -0800

libpoe-component-irc-perl (5.96+dfsg-1) unstable; urgency=low

  [ Ryan Niebur ]
  * New upstream release
  * document repacking in README.source

  [ gregor herrmann ]
  * debian/copyright: update formatting.

 -- Ryan Niebur <ryanryan52@gmail.com>  Sun, 01 Feb 2009 11:53:56 -0800

libpoe-component-irc-perl (5.90+dfsg-1) unstable; urgency=low

  [ Damyan Ivanov ]
  * debian/watch: use dversionmangle instead of uversionmangle. Avoids a (true
    positive) lintian info.
    + debian/repach.sh now adds the +dfsg part

  [ gregor herrmann ]
  * debian/control: Changed: Switched Vcs-Browser field to ViewSVN
    (source stanza).
  * debian/control: Added: ${misc:Depends} to Depends: field.

  [ Ryan Niebur ]
  * New upstream release
  * update copyright years
  * add me to uploaders
  * update link to rfc in long description, as it points to a
    nonexistant page
  * add libsocket6-perl to Suggests
  * don't install the README, as it mostly contains information provided
    elsewhere, in more Debian ways
  * actually apply the patch that adds shebang to example script (was
    missing quilt stuff in debian/rules)

  [ Rene Mayorga ]
  * add `Author' to debian/patches/missing_shebang.patch
  * rename `examples' to libpoe-component-irc-perl.examples

 -- Ryan Niebur <ryanryan52@gmail.com>  Fri, 23 Jan 2009 20:25:30 -0800

libpoe-component-irc-perl (5.88+dfsg-1) unstable; urgency=low

  [ gregor herrmann ]
  * Add debian/README.source to document quilt usage, as required by
    Debian Policy since 3.8.0.

  [ Damyan Ivanov ]
  * New upstream release
  * add myself to Uploaders
  * Standards-Version 3.8.0 (no changes)
  * migrate rules to dh7

 -- Damyan Ivanov <dmn@debian.org>  Tue, 23 Sep 2008 00:15:09 +0300

libpoe-component-irc-perl (5.84+dfsg-1) unstable; urgency=low

  * New upstream release(s).
  * debian/control: Add libpoe-component-pluggable-perl dependency.

 -- Martín Ferrari <tincho@debian.org>  Wed, 02 Jul 2008 02:08:06 -0300

libpoe-component-irc-perl (5.76+dfsg-1) unstable; urgency=low

  * New upstream release.
  * debian/control: updating my mail address.
  * Fixed typo in debian/copyright.
  * Added workaround to manpages problem until #480565 is fixed.

 -- Martín Ferrari <tincho@debian.org>  Mon, 19 May 2008 03:14:41 -0300

libpoe-component-irc-perl (5.74+dfsg-1) unstable; urgency=low

  * New upstream release.

 -- Martín Ferrari <martin.ferrari@gmail.com>  Fri, 11 Apr 2008 17:33:03 -0300

libpoe-component-irc-perl (5.70+dfsg-1) unstable; urgency=low

  * New upstream release.

 -- Martín Ferrari <martin.ferrari@gmail.com>  Sun, 16 Mar 2008 22:36:25 -0300

libpoe-component-irc-perl (5.68+dfsg-1) unstable; urgency=low

  * New upstream release, upstream is very active :).
  * Added quilt stuff to patch example without shebang line.

 -- Martín Ferrari <martin.ferrari@gmail.com>  Sun, 24 Feb 2008 19:29:23 -0200

libpoe-component-irc-perl (5.66+dfsg-1) unstable; urgency=low

  [ gregor herrmann ]
  * Take over for the Debian Perl Group on maintainer's request; cf.
    http://lists.debian.org/debian-perl/2008/02/msg00053.html
  * debian/control: Added: Vcs-Svn field (source stanza); Vcs-Browser
    field (source stanza); Homepage field (source stanza). Changed:
    Maintainer set to Debian Perl Group <pkg-perl-
    maintainers@lists.alioth.debian.org> (was: Steve Kowalik
    <stevenk@debian.org>).
  * Add debian/watch.
  * Replace debian/repack.sh with a better version.

  [ Martín Ferrari ]
  * Many new upstream releases. Repackaged to remove non-free docs (IETF
    RFCs).
  * Updated debhelper compatibility to 5.
  * debian/control:
    - debhelper should not go in b-d-i.
    - bumped Standards-Version (no changes).
    - added myself to Uploaders.
    - added libtest-pod-perl, libtest-pod-coverage-perl, libsocket6-perl to
      B-D-I.
    - removed libtimedate-perl *depends.
    - removed libpoe-component-client-ident-perl from Suggests, as it is only
      used during testing. Added libpoe-component-sslify-perl.
    - fixed short Description.
  * debian/copyright: new format and more complete info.
  * debian/rules: from scratch. NOTE: the tests are enabled and they use the
    network via loopback interface. A ad-hoc test of localhost reachability is
    included as precondition for running the tests. The only tests that access
    a non-local IP (t/testsuite_03_online.t), fails gracefully in case of
    timeout.

 -- Martín Ferrari <martin.ferrari@gmail.com>  Tue, 19 Feb 2008 16:35:01 -0200

libpoe-component-irc-perl (5.02-1) unstable; urgency=low

  * New upstream release.
    - Deal with POE::Filter correctly. (Closes: #387390)

 -- Steve Kowalik <stevenk@debian.org>  Sat, 16 Sep 2006 19:19:15 +1000

libpoe-component-irc-perl (4.77-1) unstable; urgency=low

  * The "Happy New Year!" release.
  * New upstream release. (Closes: #322213)
  * Remove arch ignore stuff from Makefile.PL.
  * Add netbase to Build-Depends-Indep. (Closes: #322645)
  * Add libpoe-filter-ircd-perl and libtimedate-perl to Build-Depends-Indep 
    and Depends.
  * Add libpoe-component-client-{dns,ident}-perl to Build-Depends-Indep and
    Suggest.
  * My thanks to Don Amstrong for dealing with PoCo::Client::Ident.

 -- Steve Kowalik <stevenk@debian.org>  Sun,  1 Jan 2006 00:28:34 +1100

libpoe-component-irc-perl (4.3-2) unstable; urgency=low

  * Add libpoe-perl to Build-Depends, since $(MAKE) test requires it.
    (Closes: #307057)

 -- Steve Kowalik <stevenk@debian.org>  Sun,  1 May 2005 11:59:25 +1000

libpoe-component-irc-perl (4.3-1) unstable; urgency=low

  * New upstream release. (Closes: #306352)
  * Apply patch to Makefile.PL so that arch stuff is ignored.
  * Clean up debian/rules, and run $(MAKE) test during build.

 -- Steve Kowalik <stevenk@debian.org>  Tue, 26 Apr 2005 14:10:51 +1000

libpoe-component-irc-perl (2.9-1) unstable; urgency=low

  * New upstream release. (Closes: #216987)
  * Include examples. (Closes: #216989)
  * Bump Stardards-Version to 3.6.1.
  * Kick the Build-Depends on debhelper from 3.0.5 to 4.

 -- Steve Kowalik <stevenk@debian.org>  Wed, 22 Oct 2003 10:41:48 +1000

libpoe-component-irc-perl (2.7-1) unstable; urgency=low

  * New upstream release.
  * Change Section from interpreters to perl.
  * Bump to Standards-Version 3.5.9.
  * Move from DH_COMPAT 3 to 4.

 -- Steve Kowalik <stevenk@debian.org>  Tue,  1 Apr 2003 13:58:23 +1000

libpoe-component-irc-perl (2.2-2) unstable; urgency=low

  * Fix up the copyright as well. (Closes: #157642) 

 -- Steve Kowalik <stevenk@debian.org>  Sat, 24 Aug 2002 10:39:59 +1000

libpoe-component-irc-perl (2.2-1) unstable; urgency=low

  * New upstream release
  * Build package in binary-indep target. (Closes: #157502) 

 -- Steve Kowalik <stevenk@debian.org>  Wed, 21 Aug 2002 23:24:07 +1000

libpoe-component-irc-perl (2.1-1) unstable; urgency=low

  * New upstream release

 -- Steve Kowalik <stevenk@debian.org>  Fri, 29 Mar 2002 19:08:34 +1100

libpoe-component-irc-perl (1.7-3) unstable; urgency=low

  * Changed Build-Depends to Build-Depends-Indep. 

 -- Steve Kowalik <stevenk@debian.org>  Sat,  3 Nov 2001 17:14:32 +1100

libpoe-component-irc-perl (1.7-2) unstable; urgency=medium

  * Since I've just taken over the libpoe-perl package, and renamed it back
    to libpoe-perl (rather than libpoe-perl0), fixing the Depends line.
  * Whoopsie. Removed the debian/dirs file. (How'd that managed to slip past?)
  * MANIFEST isn't a doc, either.

 -- Steve Kowalik <stevenk@debian.org>  Sat, 25 Aug 2001 18:44:57 +1000

libpoe-component-irc-perl (1.7-1) unstable; urgency=low

  * New upstream release
  * Update to Stardards-Version 3.5.6
  * Fix lintian errors

 -- Steve Kowalik <stevenk@debian.org>  Wed, 22 Aug 2001 16:27:28 +1000

libpoe-component-irc-perl (1.4-3) unstable; urgency=low

  * Updating dependencies.
  * Changing maintainer e-mail.

 -- Steve Kowalik <stevenk@debian.org>  Wed, 18 Jul 2001 00:23:16 +1000

libpoe-component-irc-perl (1.4-2) unstable; urgency=low

  * Fix copyright. 

 -- Steve Kowalik <stevenk@hasnolife.com>  Sat, 14 Jul 2001 17:32:20 +1000

libpoe-component-irc-perl (1.4-1) unstable; urgency=low

  * New upstream release

 -- Steve Kowalik <stevenk@hasnolife.com>  Fri,  6 Jul 2001 10:47:39 +1000

libpoe-component-irc-perl (1.2-1) unstable; urgency=low

  * Initial Release.

 -- Steve Kowalik <stevenk@hasnolife.com>  Thu,  5 Jul 2001 22:31:50 +1000

